Skip to content
GET /unified/ads/creatives

Query Parameters

Refer Specifying query parameters in Truto APIs

account_idstring

The unique identifier for the account.

1 supported1 required
Meta Marketing API
required
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Creatives

idstring
required·

The unique identifier for the creative.

1 supported
Meta Marketing API
supported
account_idstring

The unique identifier for the account.

1 supported
Meta Marketing API
supported
applink_treatmentstring

The applink treatment for the creative.

Possible values:
automaticdeeplink_with_appstore_fallbackdeeplink_with_web_fallbackweb_only
1 supported
Meta Marketing API
supported
authorization_categorystring

The authorization category for the creative.

Possible values:
nonepolitical
1 supported
Meta Marketing API
supported
bodystring

The body for the creative.

1 supported
Meta Marketing API
supported
call_to_action_typestring

The call to action type for the creative.

Possible values:
open_linklike_pageshop_nowplay_gameinstall_appuse_appcallcall_mevideo_callinstall_mobile_appuse_mobile_appmobile_download+ 63 more
1 supported
Meta Marketing API
supported
created_atstring · date-time

The date and time the creative was created.

image_cropsobject

The image crops for the creative.

1 supported
Meta Marketing API
supported
image_hashstring

The image hash for the creative.

1 supported
Meta Marketing API
supported
image_urlstring

The image URL for the creative.

1 supported
Meta Marketing API
supported
interactive_componentsobject

The interactive components for the creative.

1 supported
Meta Marketing API
supported
labelsobject[]

The labels for the creative.

1 supported
Meta Marketing API
supported
2 properties
idstring

The unique identifier for the label.

namestring

The name of the label.

namestring

The name of the creative.

1 supported
Meta Marketing API
supported
propertiesobject[]

The properties for the creative.

1 supported
Meta Marketing API
supported
3 properties
idstring

The unique identifier for the property.

typestring

The type for the property.

urlstring

The URL for the property.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

specobject

The spec for the creative.

1 supported
Meta Marketing API
supported
statusstring

The status of the creative.

Possible values:
activedeletedin_processwith_issues
1 supported
Meta Marketing API
supported
updated_atstring · date-time

The date and time the creative was last updated.

urlsobject[]

The URLs for the creative.

1 supported
Meta Marketing API
supported
3 properties
idstring

The unique identifier for the URL.

typestring

The type for the URL.

urlstring

The URL for the URL.

curl -X GET 'https://api.truto.one/unified/ads/creatives?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ads/creatives?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ads/creatives"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ads',
  'creatives',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ads",
        "creatives",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())